Bug 168607 - Review Request: perl-Convert-PEM
Summary: Review Request: perl-Convert-PEM
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Convert-PEM/
Whiteboard:
Keywords:
Depends On: 168578 168583
Blocks: FE-ACCEPT perl-Crypt-DSA
TreeView+ depends on / blocked
 
Reported: 2005-09-17 21:28 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 03:12:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Pritchard 2005-09-17 21:28:47 UTC
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Convert-PEM/perl-Convert-PEM.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Convert-PEM-0.07-2.src.rpm
Description:
This is Convert::PEM, a module implementing read/write access
to ASN.1-encoded PEM files (with optional encryption).

Comment 1 Paul Howarth 2005-11-25 17:53:12 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- license text included, though not directly from upstream
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock on FC4 (i386)
- BR's OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no duplicate files
- no permissions issues
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs, docs don't affect runtime
- no desktop entry needed
- no scriptlets

Nitpick:

- files list should include:
  %{perl_vendorlib}/Convert/*
  rather than:
  %{perl_vendorlib}/*
  since the package depends on perl(Convert::ASN1), and the package containing
  that module owns the %{perl_vendorlib}/Convert directory

Suggestions:

- "Read/write encrypted ASN.1 PEM files" might be a better summary than
  "Convert::PEM Perl module"

- You might want to skip the license texts since upstream doesn't provide them

Approved


Comment 2 Ralf Corsepius 2005-11-25 18:06:14 UTC
(In reply to comment #1)

> - files list should include:
>   %{perl_vendorlib}/Convert/*
>   rather than:
>   %{perl_vendorlib}/*
>   since the package depends on perl(Convert::ASN1), and the package containing
>   that module owns the %{perl_vendorlib}/Convert directory
Wrong - We have had this discussion before.

Both packages must own %{perl_vendorlib}/Convert because rpm does not assure any
particular order during multilib packag removals, such as
rpm -e '<all-packages owning %{perl_vendorlib}/Convert'

Comment 3 Paul Howarth 2005-11-25 19:15:45 UTC
(In reply to comment #2)
> (In reply to comment #1)
> 
> > - files list should include:
> >   %{perl_vendorlib}/Convert/*
> >   rather than:
> >   %{perl_vendorlib}/*
> >   since the package depends on perl(Convert::ASN1), and the package containing
> >   that module owns the %{perl_vendorlib}/Convert directory
> Wrong - We have had this discussion before.
> 
> Both packages must own %{perl_vendorlib}/Convert because rpm does not assure any
> particular order during multilib packag removals, such as
> rpm -e '<all-packages owning %{perl_vendorlib}/Convert'

In that case I'd suggest that the sentence:

    If it does not create a directory that it uses, then it should
    require a package which does create that directory.

be removed from the package review guidelines:
http://fedoraproject.org/wiki/PackageReviewGuidelines

I think Spot should be the one to do that though.

Comment 4 Paul Howarth 2006-02-08 08:03:06 UTC
Steve, can you do a build of this module for FC-4 please?

Comment 5 Steven Pritchard 2006-02-08 17:02:30 UTC
I've been trying...

http://buildsys.fedoraproject.org/build-status/job.psp?uid=3816

I wonder if hammer2 is having issues.  I had another build fail on it yesterday
that worked fine on my x86_64 system under mock.

Comment 6 Steven Pritchard 2006-02-08 17:06:02 UTC
Scratch that.  My other mystery failed build yesterday died on hammer3.

Comment 7 Paul Howarth 2006-03-02 12:45:53 UTC
(In reply to comment #5)
> I've been trying...
> 
> http://buildsys.fedoraproject.org/build-status/job.psp?uid=3816
> 
> I wonder if hammer2 is having issues.  I had another build fail on it yesterday
> that worked fine on my x86_64 system under mock.

Could you give it another go, to see if it's one of those transient buildsystem
issues?

Comment 8 Steven Pritchard 2006-03-02 17:23:45 UTC
Sorry, I forgot about this.  I requeued it, and it built this time.


Note You need to log in before you can comment on or make changes to this bug.